package com.platform.form;

import java.io.UnsupportedEncodingException;
import java.util.Properties;

import com.platform.entities.SqlFileInfoEntity;

public class ScriptForm {
	
	private String content;
	
	private SqlFileInfoEntity item;

	/**
	 * @return the content
	 */
	public String getContent() {
		return content;
	}

	/**
	 * @param content the content to set
	 */
	public void setContent(String content) {
//		Properties pro = System.getProperties();
//		String osName = pro.getProperty("os.name");
//		try {
//		if("Linux".equals(osName)||"linux".equals(osName)){
//			this.content = new String(content.getBytes("iso-8859-1"),"UTF-8");
//		}
//		else {
//			this.content = new String(content.getBytes("iso-8859-1"),"GBK");
//		}
//		} catch (UnsupportedEncodingException e) {
//		}
		this.content = content;
	}

	/**
	 * @return the item
	 */
	public SqlFileInfoEntity getItem() {
		return item;
	}

	/**
	 * @param item the item to set
	 */
	public void setItem(SqlFileInfoEntity item) {
		this.item = item;
	}
}
